#ifndef CIRCLE_HH
#define CIRCLE_HH
#include "mobile2d.hh"
#include <memory>
class Circle:public mobile2d{
  //std::shared_ptr<sf::CircleShape> shape;

public:
  Circle();
  Circle(prologparse*);
  Circle(int,int);
  Circle(prologparse*,int,int);
  double x()override ;
  double y()override ;
  double limLeft()override ;
  double limRight()override;
  double limUp()override ;
  double limDown()override ;
  void moveLeft()override;
  void moveRight()override;
  void moveUp()override;
  void moveDown()override;
  double getDiameter();
};

#endif // CIRCLE_HH
